org.keycloak.models

## Interface UserSessionModel

- All Known Implementing Classes:
    UserSessionAdapter, UserSessionAdapter, UserSessionAdapter

      public interface UserSessionModel

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `List<ClientSessionModel>` | `getClientSessions()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getLoginUsername()`
    `int` | `getStarted()`
    `UserModel` | `getUser()`
    `boolean` | `isRememberMe()`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastSessionRefresh(int seconds)`
    `void` | `setLoginUsername(String loginUsername)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setStarted(int started)`
    `void` | `setUser(UserModel user)`

- - ### Method Detail

    - #### getId

          String getId()

    - #### setId

          void setId(String id)

    - #### getUser

          UserModel getUser()

    - #### setUser

          void setUser(UserModel user)

    - #### getLoginUsername

          String getLoginUsername()

    - #### setLoginUsername

          void setLoginUsername(String loginUsername)

    - #### getIpAddress

          String getIpAddress()

    - #### setIpAddress

          void setIpAddress(String ipAddress)

    - #### getAuthMethod

          String getAuthMethod()

    - #### setAuthMethod

          void setAuthMethod(String authMethod)

    - #### isRememberMe

          boolean isRememberMe()

    - #### setRememberMe

          void setRememberMe(boolean rememberMe)

    - #### getStarted

          int getStarted()

    - #### setStarted

          void setStarted(int started)

    - #### getLastSessionRefresh

          int getLastSessionRefresh()

    - #### setLastSessionRefresh

          void setLastSessionRefresh(int seconds)

    - #### getClientSessions

          List<ClientSessionModel> getClientSessions()

Copyright © 2014. All Rights Reserved.